function $runCallbacks_4(){
  var $e0, e, handler, next, stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = $runCallbacks_4;
  while ($location_0[stackIndex] = 'AsyncLoader6.java:' + '43' , callbacksHead_4) {
    $location_0[stackIndex] = 'AsyncLoader6.java:' + '44' , handler = ($location_0[stackIndex] = 'GWT.java:' + '164' , sUncaughtExceptionHandler);
    next = ($location_0[stackIndex] = 'AsyncLoader6.java:' + '45' , callbacksHead_4);
    callbacksHead_4 = ($location_0[stackIndex] = 'AsyncLoader6.java:' + '46' , callbacksHead_4).next;
    ($location_0[stackIndex] = 'Cast.java:' + '117' , !($location_0[stackIndex] = 'AsyncLoader6.java:' + '47' , callbacksHead_4)) && ($location_0[stackIndex] = 'AsyncLoader6.java:' + '48' , callbacksTail_4 = null);
    if ($location_0[stackIndex] = 'Cast.java:' + '117' , !($location_0[stackIndex] = 'AsyncLoader6.java:' + '50' , handler)) {
      $onSuccess_4(($location_0[stackIndex] = 'AsyncLoader6.java:' + '51' , next).callback);
    }
     else {
      try {
        $onSuccess_4(($location_0[stackIndex] = 'AsyncLoader6.java:' + '54' , next).callback);
      }
       catch ($e0) {
        $e0 = caught_0(($location_0[stackIndex] = 'AsyncLoader6.java:' + '55' , $e0));
        $stackDepth_0 = stackIndex;
        if (instanceOf($e0, 11)) {
          e = $e0;
          $location_0[stackIndex] = 'LogImplBase.java:' + '295' , $clinit_21();
          $location_0[stackIndex] = 'Log.java:' + '285' , $fatal(($location_0[stackIndex] = 'Log.java:' + '285' , impl), 'Uncaught Exception:', ($location_0[stackIndex] = 'AsyncLoader6.java:' + '56' , e));
        }
         else 
          throw $location_0[stackIndex] = 'AsyncLoader6.java:' + '55' , $e0;
      }
    }
  }
  $stackDepth_0 = stackIndex - 1;
}

function AsyncLoader6_0(){
}

function onLoad_4(){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = onLoad_4;
  instance_7 = new ($location_0[stackIndex] = 'AsyncLoader6.java:' + '13' , AsyncLoader6_0);
  $fragmentHasLoaded(($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '269' , $clinit_55() , ($location_0[stackIndex] = 'AsyncLoader6.java:' + '14' , BROWSER_LOADER)), 6);
  !!($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '131' , $stats) && ($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '101' , $stats(($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '108' , $createStatsEvent('runCallbacks6', 'begin', -1, -1))));
  ($location_0[stackIndex] = 'AsyncLoader6.java:' + '16' , instance_7).runCallbacks();
  !!($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '131' , $stats) && ($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '101' , $stats(($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '108' , $createStatsEvent('runCallbacks6', 'end', -1, -1))));
  $stackDepth_0 = stackIndex - 1;
}

function AsyncLoader6(){
}

_ = AsyncLoader6_0.prototype = AsyncLoader6.prototype = new Object_0;
_.getClass$ = function getClass_147(){
  var stackIndex, returnTemp;
  $stack_0[stackIndex = ++$stackDepth_0] = getClass_147;
  returnTemp = ($location_0[stackIndex] = 'com.google.gwt.dev.jjs.ast.JProgram:' + '0' , Lcom_google_gwt_lang_asyncloaders_AsyncLoader6_2_classLit);
  $stackDepth_0 = stackIndex - 1;
  return returnTemp;
}
;
_.runCallbacks = function runCallbacks_4(){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = runCallbacks_4;
  $location_0[stackIndex] = 'AsyncLoader6.java:' + '42' , $runCallbacks_4();
  $stackDepth_0 = stackIndex - 1;
}
;
_.castableTypeMap$ = {};
var instance_16 = null;
function $onSuccess_4(this$static){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = $onSuccess_4;
  ($location_0[stackIndex] = 'Cast.java:' + '117' , !($location_0[stackIndex] = 'AssignedTasksModule.java:' + '48' , instance_16)) && (instance_16 = new ($location_0[stackIndex] = 'AssignedTasksModule.java:' + '49' , AssignedTasksView_0));
  $provideWidget_5(($location_0[stackIndex] = 'AssignedTasksModule.java:' + '51' , instance_16), this$static.val$callback);
  $stackDepth_0 = stackIndex - 1;
}

function $provideWidget_5(this$static, callback){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = $provideWidget_5;
  ($location_0[stackIndex] = 'AssignedTasksView.java:' + '86' , this$static).panel = new MosaicPanel_1(new BorderLayout_0);
  $initialize_3(($location_0[stackIndex] = 'AssignedTasksView.java:' + '88' , this$static));
  $add_25(($location_0[stackIndex] = 'AssignedTasksView.java:' + '90' , this$static).panel, this$static.taskList, new BorderLayoutData_2(($location_0[stackIndex] = 'BorderLayout.java:' + '199' , $clinit_829() , ($location_0[stackIndex] = 'AssignedTasksView.java:' + '90' , CENTER_2))));
  $add_25(($location_0[stackIndex] = 'AssignedTasksView.java:' + '91' , this$static).panel, this$static.detailsView, new BorderLayoutData_6(SOUTH_0));
  $addView(($location_0[stackIndex] = 'AssignedTasksView.java:' + '93' , this$static).controller_0, ID_26, this$static);
  ($location_0[stackIndex] = 'AssignedTasksView.java:' + '95' , callback).onSuccess(this$static.panel);
  $stackDepth_0 = stackIndex - 1;
}

function AssignedTasksView_0(){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = AssignedTasksView_0;
  $location_0[stackIndex] = 'AssignedTasksView.java:' + '78' , $clinit_1093();
  this.dateFormat = new ($location_0[stackIndex] = 'AssignedTasksView.java:' + '68' , SimpleDateFormat_0);
  this.controller_0 = dynamicCast(($location_0[stackIndex] = 'AssignedTasksView.java:' + '80' , get_17(($location_0[stackIndex] = 'com.google.gwt.dev.jjs.ast.JProgram:' + '0' , Lcom_mvc4g_client_Controller_2_classLit))), 178);
  dynamicCast(($location_0[stackIndex] = 'AssignedTasksView.java:' + '81' , get_17(($location_0[stackIndex] = 'com.google.gwt.dev.jjs.ast.JProgram:' + '0' , Lorg_jboss_bpm_console_client_ApplicationContext_2_classLit))), 232);
  $stackDepth_0 = stackIndex - 1;
}

_ = AssignedTasksView_0.prototype = AssignedTasksView.prototype;
_.getClass$ = function getClass_738(){
  var stackIndex, returnTemp;
  $stack_0[stackIndex = ++$stackDepth_0] = getClass_738;
  returnTemp = ($location_0[stackIndex] = 'com.google.gwt.dev.jjs.ast.JProgram:' + '0' , Lorg_jboss_bpm_console_client_task_AssignedTasksView_2_classLit);
  $stackDepth_0 = stackIndex - 1;
  return returnTemp;
}
;
_.setLoading = function setLoading_2(isLoading){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = setLoading_2;
  ($location_0[stackIndex] = 'UIObject.java:' + '219' , ($location_0[stackIndex] = 'UIObject.java:' + '529' , ($location_0[stackIndex] = 'AssignedTasksView.java:' + '368' , this.panel).element).style).display != 'none' && on(($location_0[stackIndex] = 'AssignedTasksView.java:' + '369' , this.taskList), isLoading);
  $stackDepth_0 = stackIndex - 1;
}
;
var Lcom_google_gwt_lang_asyncloaders_AsyncLoader6_2_classLit = createForClass('com.google.gwt.lang.asyncloaders.', 'AsyncLoader6');
$entry(onLoad_4)();
